#include <stdio.h>
#include <stdlib.h>
#include "hash.h"
#include "main.h"


static void usage(char **argv)
{
    printf("Usage: %s <lyrics file>\n", argv[0]);
    exit(0);
}


int main(int argc, char **argv)
{
    int     n_keys;
    hash_t *hash;

    if (argc != 2)
      usage(argv);

    hash = utils_get_lyrics(argv[1], &n_keys);
    hash_print_entries_as_strings(hash, n_keys);

    return 0;
}
